const urls = {
	o: 'https://qiniu.gaodeer.com/self_disciplined_music_o.mp3',
	show: 'https://qiniu.gaodeer.com/self_disciplined_music_show.mp3',
	show_v2: 'https://qiniu.gaodeer.com/self_disciplined_music_show_v2.mp3',
	hide: 'https://qiniu.gaodeer.com/self_disciplined_music_hide.mp3',
};

const music = {
	play(key){
		const audio = uni.createInnerAudioContext();
		audio.autoplay = true;
		audio.src = urls[key];
		audio.onPlay(function(){
			console.log('开始播放');
		});
		audio.onEnded(function(){
			console.log('播放完成');
			audio.destroy();
		});
		audio.onError(function(res){
			console.log(res.errMsg);
			console.log(res.errCode);
		});
	}
};

module.exports = music;
